%define name chmlib
%define version 0.31
%define release 2mdk

%define shortname chm
%define major 0
%define libname %mklibname %shortname %major

Summary: A library for dealing with Microsoft ITSS/CHM format files
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tbz
Patch0:  %{name}-makefile.patch.bz2
License: GPL
Group: System/Libraries
Url: http://66.93.236.84/~jedwin/projects/chmlib/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

Code runs on Linux, Windows, Solaris, and Irix.

%package -n %libname
Summary: A library for dealing with Microsoft ITSS/CHM format files
Group: System/Libraries
Provides: %name = %version-%release
Provides: lib%shortname = %version-%release

%description -n %libname
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%package -n %libname-devel
Summary: A library for dealing with Microsoft ITSS/CHM format files
Group: Development/Other
Provides: %name-devel = %version-%release
Provides: lib%shortname-devel = %version-%release
Requires: %libname = %version-%release

%description -n %libname-devel
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%prep
%setup -q
%patch0 -p0

%build
%make lib=%_lib INSTALLPREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_libdir,%_includedir}

%makeinstall_std lib=%_lib INSTALLPREFIX=%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS NEWS README
%_includedir/*.h
%_libdir/*.a
%_libdir/*.la

%changelog
* Sat Sep 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- fix changelog entry

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First spec file for Mandrake distribution.

